Class | Magick::RVG::Text
In: | lib/rvg/text.rb
Parent: | TextBase

### Methods

new tref

### Public Class methods

new(x=0, y=0, text=nil, &block)

Define a text string starting at [`x`, `y`]. Use the RVG::TextConstructors#text method to create Text objects in a container.

     container.text(100, 100, "Simple text").styles(:font=>'Arial')

Text objects can contain Tspan objects.

     container.text(100, 100).styles(:font=>'Arial') do |t|
        t.tspan("Red text").styles(:fill=>'red')
        t.tspan("Blue text").styles(:fill=>'blue')
     end

### Public Instance methods

tref(obj, x=nil, y=nil)

Reference a Tspan object. `x` and `y` are just like `x` and `y` in RVG::TextBase#tspan

[Validate]